clear all
% load data

% load simulation data

load('y_342.mat')
load('x_342.mat')
load('y_87.mat')
load('x_87.mat')
load('x_43.mat')
load('y_43.mat')


% sort simulation data
countj=1;

    for j=1:2499
        
        for i=1:5
            
 x_87_all(i,j,:)=x_87(countj+i-1,:);
 y_87_all(i,j,:)=y_87(countj+i-1,:);
 x_342_all(i,j,:)=x_342(countj+i-1,:);
 y_342_all(i,j,:)=y_342(countj+i-1,:);
 x_43_all(i,j,:)=x_43(countj+i-1,:);
 y_43_all(i,j,:)=y_43(countj+i-1,:);

        end
     countj=countj+5;    
    end

   for s=1:1
    for j=1:5
     for i=4:8
         means_87(j,i-3)=mean(sqrt(x_87_all(j,:,i).^2+y_87_all(j,:,i).^2));
     end
     for ii=4:14
    means_342(j,ii-3)=mean(sqrt(x_342_all(j,:,ii).^2+y_342_all(j,:,ii).^2));
     end
  
    for iii=4:7
    means_43(j,iii-3)=mean(sqrt(x_43_all(j,:,iii).^2+y_43_all(j,:,iii).^2));
    end
    end
   end
   
% load measured data


load('mean_87_piv')
load('std_87_piv')
load('ldv_vel_amp_87.mat')
load('ldv_errors_87.mat')

 load('mean_342_piv.mat')
 load('std_342_piv.mat')
load('ldv_vel_amp_342.mat')
load('ldv_errors_342.mat')



 load('mean_43_piv.mat')
load('std_43_piv.mat')
load('ldv_vel_amp_43.mat')
load('ldv_errors_43.mat')
 

         
%% comands for plotting mean simulated and measured velocites
for j=1:5
   figure(j)

   plot(linspace(10e-12,110e-12,11)*2*pi*342e6,means_342(j,:),'r')
   hold on
   xyerrorbar(ldv_vel_amp_342,mean_342_piv(:,j),ldv_errors_342,std_342_piv(:,j),'ro')
hold on
end
%
for j=1:5
   figure(j)

   plot([0.079 0.139 0.188 0.277 0.36],means_87(j,:),'g')
   hold on
    xyerrorbar(ldv_vel_amp_87,mean_87_piv(:,j),ldv_errors_87,std_87_piv(:,j),'go')
hold on
end
for j=1:5
   figure(j)

 plot([0.04 0.0675 0.132 0.31],means_43(j,:),'b')
hold on
xyerrorbar(ldv_vel_amp_43,mean_43_piv(:,j),ldv_errors_43,std_43_piv(:,j),'bo')
hold on
end
%


%% Collapse data

for j=1:4
    fitt_342_means(1,1)=0;
   fitt_342_means(2:12,1)=means_342(j,1:11);
   fitt_342_x(:,1)=linspace(0,110e-12,12)*2*pi*342e6;
   
[fitted_342]=fit(fitt_342_x(:,1),fitt_342_means(:,1),'poly2');

    
c1=fitted_342.p1;
c2=fitted_342.p2;
c3=fitted_342.p3;

fitt_87_means(1,1)=0;
 fitt_87_means(2:6,1)=means_87(j,1:5);
 fitt_87_x(:,1)=[0 0.079 0.139 0.188 0.277 0.36];
   
[fitted_87]=fit(fitt_87_x(:,1),fitt_87_means(:,1),'poly2');

    
c4=fitted_87.p1;
c5=fitted_87.p2;
c6=fitted_87.p3;

fitt_43_means(1,1)=0;
fitt_43_means(2:5,1)=means_43(j,1:4);
 fitt_43_x(:,1)=[0 0.04 0.0675 0.132 0.31];
   
[fitted_43]=fit(fitt_43_x(:,1),fitt_43_means(:,1),'poly2');

    
c7=fitted_43.p1;
c8=fitted_43.p2;
c9=fitted_43.p3;

%Check goodness of fit to simlation
figure(j)
plot(fitt_87_x,c4*(fitt_87_x.^2),fitt_87_x,fitt_87_means,'ro');
hold on

plot(fitt_342_x,c1*(fitt_342_x.^2),fitt_342_x,fitt_342_means,'bo');
hold on

plot(fitt_43_x,c7*(fitt_43_x.^2),fitt_43_x,fitt_43_means,'bo');
hold on


figure(j+4)
plot(linspace(0,0.4,100),linspace(0,0.4,100).^2,'r')
hold on
xyerrorbar(ldv_vel_amp_87,(1/c4).*mean_87_piv(:,j),ldv_errors_87/2,std_87_piv(:,j)/c4,'go')
hold on
xyerrorbar(ldv_vel_amp_342,(1/c1).*mean_342_piv(:,j),ldv_errors_342/2,std_342_piv(:,j)/c1,'ro')
hold on
xyerrorbar(ldv_vel_amp_43,(1/c7).*mean_43_piv(:,j),ldv_errors_43/2,std_43_piv(:,j)/c7,'bo')
hold on
end



